%define builtin_release_version 5%{builtin_release_variant}
%define builtin_release_name Tikanga
%define builtin_release_variant Server
%define real_release_version %{?release_version}%{!?release_version:%{builtin_release_version}}
%define real_release_name %{?release_name}%{!?release_name:%{builtin_release_name}}
%define current_arch %{_arch}
%ifarch i386
%define current_arch x86
%endif
Summary: Red Hat Enterprise Linux release notes files
Name: redhat-release-notes
Version: %{real_release_version}
Release: 48
License: GPL
Group: System Environment/Base
Source: redhat-release-notes-%{builtin_release_version}-%{release}.tar.gz
Obsoletes: indexhtml
BuildRoot: %{_tmppath}/redhat-release-notes-root
Provides: indexhtml
%if %{builtin_release_variant} == Server
ExcludeArch: ppc64 s390
%else
ExcludeArch: ia64 ppc ppc64 s390 s390x
%endif

%description
Red Hat Enterprise Linux release notes files.

%prep
%setup -q -n redhat-release-notes-%{builtin_release_version}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_defaultdocdir}
cp -rf  $RPM_BUILD_DIR/redhat-release-notes-%{builtin_release_version}/HTML $RPM_BUILD_ROOT%{_defaultdocdir}/.
#install -m 644 -d $RPM_BUILD_DIR/redhat-release-notes-%{builtin_release_version}/HTML $RPM_BUILD_ROOT%{_defaultdocdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc %{current_arch}/R*
%{_defaultdocdir}/HTML

%changelog
* Mon Aug 19 2013 Martin Prpic <mprpic@redhat.com> 5-48
- Push of the 5.10 Release Notes
- Resolves: #960028
* Tue May 28 2013 Martin Prpic <mprpic@redhat.com> 5-47
- Push of the 5.10 Release Notes
- Resolves: #960028
* Mon Oct 29 2012 Martin Prpic <mprpic@redhat.com> 5-46
- Push of the 5.9 Release Notes (fixed remarks)
- Resolves: #847676
* Fri Oct 26 2012 Martin Prpic <mprpic@redhat.com> 5-45
- Push of the 5.9 Release Notes
- Resolves: #847676
* Mon Aug 13 2012 Martin Prpic <mprpic@redhat.com> 5-44
- Push of the 5.9 Beta Release Notes
- Resolves: #847676
* Wed Jan 11 2012 Martin Prpic <mprpic@redhat.com> 5-43
- 5.8 Release Notes fully translated
- Resolves: #773275
* Wed Jan 11 2012 Martin Prpic <mprpic@redhat.com> 5-42
- Push of the 5.8 Release Notes
- Resolves: #773275
* Mon Jun 27 2011 Ryan Lerch <rlerch@redhat.com> 5-41
- Fixed reference to 5.5 in the readme
- RELATED: BZ#713624
* Mon Jun 27 2011 Ryan Lerch <rlerch@redhat.com> 5-40
- Rebuild
- RELATED: BZ#713624
* Mon Jun 27 2011 Ryan Lerch <rlerch@redhat.com> 5-39
- Updated the readme, removed reference to 5.3
- RELATED: BZ#713624
* Wed Jun 22 2011 Ryan Lerch <rlerch@redhat.com> 5-38
- Release Notes5.7 fully translated
- Related: #713624 
* Thu Jan 06 2011 Ryan Lerch <rlerch@redhat.com> 5-37
- Test push for the 5.7 Finals Release Notes
- Resolves: #713624
* Thu Jan 06 2011 Ryan Lerch <rlerch@redhat.com> 5-36
- repush
- Resolves: #667496
* Thu Jan 06 2011 Ryan Lerch <rlerch@redhat.com> 5-35
- Populated the 0-length files that made it to the root of the ISO
- Resolves: #667496
* Thu Dec 16 2010 Ryan Lerch <rlerch@redhat.com> 5-34
- Restored missing CSS files
- Restored missing indexhtml localizations
- Resolves: BZ#517277
* Wed Dec 15 2010 Ryan Lerch <rlerch@redhat.com> 5-33
- Removed links to images that are not shipped.
- Removed old references to 5.5
- Resolves: BZ#654900
* Wed Dec 15 2010 Ryan Lerch <rlerch@redhat.com> 5-32
- Pushed the 5.6 Release Notes
- Resolves: BZ#654900
* Wed Mar 10 2010 Ryan Lerch <rlerch@redhat.com>
- Updated the Release Notes packages with the translated content. indexhtmls are now present in the package for all langs.
- Resolves: BZ#557158
* Fri Jan 15 2010 Ryan Lerch <rlerch@redhat.com>
- Initial Push of the Release Notes for the 5.5 Beta.
* Thu Aug 13 2009 Ryan Lerch <rlerch@redhat.com>
- Resolves: #517018, #517023, #517069
- Fixed encoding issue when viewing the release notes in the anaconda browser, and changed the references to 5.3 to 5.4 in the default firefox pages.
* Thu Aug 05 2009 Ryan Lerch <rlerch@redhat.com>
- Resolves: BZ498606
- Initial Push for final, including the finalised translations.
* Wed Aug 05 2009 Ryan Lerch <rlerch@redhat.com>
- Resolves: BZ498606
- Initial Push for final, some translations to be updated later.
* Thu May 21 2009 Don Domingo <ddomingo@redhat.com> 5-25
- Resolves: BZ498606
- Beta Release Notes

* Tue Jan 06 2009 Don Domingo <ddomingo@redhat.com> 5-25
- Resolves: BZ477713
- fixed rendering issue for all languages, removed two lines from Legal Notice regarding docs restrictions 

* Mon Jan 05 2009 Don Domingo <ddomingo@redhat.com> 5-24
- Resolves: BZ477713
- contains complete de-DE and it-IT locales

* Tue Dec 23 2008 Don Domingo <ddomingo@redhat.com> 5-23
- Related: BZ454962
- correcting formatting error (weird character appearing in non-breaking spaces of English)

* Wed Dec 17 2008 Don Domingo <ddomingo@redhat.com> 5-22
- Related: BZ466293
- pushing again to correct locale tag on korean

* Wed Dec 17 2008 Don Domingo <ddomingo@redhat.com> 5-21
- Related: BZ466293
- second push for final, includes all locales (some incomplete), build also hopefully addresses bad rpmdiffs

* Tue Dec 16 2008 Don Domingo <ddomingo@redhat.com> 5-20
- Related: BZ466293
- initial push for final, contains most updated English, some incomplete locales, some Indic locales ommitted

* Fri Dec 12 2008 Ryan Lerch <rlerch@redhat.com> 5-19
- Resolves: BZ454962
- Updating English release notes

* Thu Oct 23 2008 Ryan Lerch <rlerch@redhat.com> 5-18
- Resolves: BZ454962
- This one should work.

* Mon Sep 22 2008 Don Domingo <ddomingo@redhat.com> 5-17
- previous build was bad, this one should work
- Resolves: BZ454962

* Fri Sep 19 2008 Don Domingo <ddomingo@redhat.com> 5-16
- initial push to brew, for beta release yo
- Resolves: BZ454962

* Wed May 06 2008 Don Domingo <ddomingo@redhat.com> 5-15
- really final push
- Related: BZ432873

* Tue May 06 2008 Don Domingo <ddomingo@redhat.com> 5-14
- final FINAL push
- Related: BZ432873

* Fri May 02 2008 Don Domingo <ddomingo@redhat.com> 5-13
- final push
- Related: BZ432873

* Thu Apr 03 2008 Don Domingo <ddomingo@redhat.com> 5-12
- snapshot push, as requested
- Related: BZ432873

* Thu Jan 31 2008 Don Domingo <ddomingo@redhat.com> 5-11
- seconds push for RHEl5.2, for Beta (as requested)
- Related: #364371

* Wed Jan 30 2008 Don Domingo <ddomingo@redhat.com> 5-10
- initial push for RHEl5.2, for Beta
- Related: #364371

* Wed Sep 19 2007 Don Domingo <domingo@redhat.com> 5-9
- final push for RHEL5.1, includes a fix for Sinhalese (did not detect before)
- Related: #285121

* Wed Sep 19 2007 Don Domingo <domingo@redhat.com> 5-8
- final push for RHEL5.1 
- Related: #285121

* Fri Jul 13 2007 Don Domingo <domingo@redhat.com> 5-7
- second beta push (listed BZ below just one of many as others would not allow checkin)
- Related: #218798

* Fri Jun 22 2007 Don Domingo <ddomingo@redhat.com> 5-6
- first beta push (listed BZ below just one of many as others would not allow checkin)
- Related: #218798

* Thu Feb 08 2007 Don Domingo <ddomingo@redhat.com> 5-5
- corrected untranslated ML strings
- Related: #207087 #218060 #223423 #223985 #224119

* Thu Feb 08 2007 Don Domingo <ddomingo@redhat.com> 5-4
- remerged Release Notes Updates to distro relnotes and retranslated
- Related: #207087 #218060 #223423 #223985 #224119

* Thu Jan 25 2007 Don Domingo <ddomingo@redhat.com> 5-3
- pushing some fixes for the Indic translations (translated commands and computeroutputs)
- Resolves: BZ#224119 

* Wed Jan 24 2007 Don Domingo <ddomingo@redhat.com> 5-2
- re-translated update notes, now REALLY frozen for GA
- Related: #218798 #219565 #215762 #222737 #218980 #213138 #206173 

* Thu Jan 18 2007 Dennis Gregorovic <dgregor@redhat.com> 5-1
- Bump version number for RC
- Related: #223124

* Thu Jan 18 2007 Don Domingo <ddomingo@redhat.com> 4.92-41
- Related: #220104 #213262 #216364 #217390 #221758 #220241 #217921 #216664 (includes translations, now frozen for GA)

* Fri Jan 05 2007 Don Domingo <ddomingo@redhat.com> 4.92-40
- Related: #206539 #213262 #211197 #210136 #210496 #211618 (last pre-translation)

* Tue Jan 02 2007 Don Domingo <ddomingo@redhat.com> 4.92-39
- Related: #211977, #215096, #213548, #209165

* Fri Dec 22 2006 Don Domingo <ddomingo@redhat.com> 4.92-38
- Resolves: #181691 #200546 #214924 #216086 #218347 #218349 #219849
